
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_cmd")]
    public class WcsCmd
    {
        /// <summary>
        /// 任务代码
        /// </summary>
        [Column("task_code")]
        public string taskCode { get; set; }

        [Key]
        [Column("objid")]
        public long objid { get; set; }

        /// <summary>
        /// 任务id
        /// </summary>
        [Column("task_id")]
        public long? taskId { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [Column("equipment_no")]
        public string equipmentNo { get; set; }

        /// <summary>
        /// 容器号
        /// </summary>
        [Column("container_no")]
        public string containerNo { get; set; }

        /// <summary>
        /// 指令类型,字典表
        /// </summary>
        [Column("cmd_type")]
        public int? cmdType { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Column("qty")]
        public int? qty { get; set; }

        /// <summary>
        /// 流水号
        /// </summary>
        [Column("serial_no")]
        public long? serialNo { get; set; }

        /// <summary>
        /// 当前点编号
        /// </summary>
        [Column("curr_point_no")]
        public string currPointNo { get; set; }

        /// <summary>
        /// 当前点id
        /// </summary>
        [Column("curr_point_id")]
        public long? currPointId { get; set; }

        /// <summary>
        /// 下一点编号
        /// </summary>
        [Column("next_point_no")]
        public string nextPointNo { get; set; }

        /// <summary>
        /// 下一点id
        /// </summary>
        [Column("next_point_id")]
        public long? nextPointId { get; set; }

        /// <summary>
        /// 指令状态,字典表
        /// </summary>
        [Column("cmd_status")]
        public int? cmdStatus { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("use_flag")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备用字段1
        /// </summary>
        [Column("ud1")]
        public string ud1 { get; set; }

        /// <summary>
        /// 备用字段2
        /// </summary>
        [Column("ud2")]
        public string ud2 { get; set; }

        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("ud3")]
        public string ud3 { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }
        /// <summary>
        /// 下发标志
        /// </summary>
        [Column("send_flag")]
        public int? sendFlag { get; set; }

    }
}

